[2.0a1] Rack controller unable to listen on dhcpd.sock

Bug #1553646 reported by Mark Shuttleworth on 2016-03-06
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
MAAS
Critical
Blake Rouse

Bug Description

After a clean in stall of 2.0a1 I have no rack controller listed, and I see a lot of recurring versions of this in the rackd.log:

2016-03-06 03:55:53+0000 [-] Log opened.
2016-03-06 03:55:53+0000 [-] twistd 16.0.0pre1 (/usr/bin/python3 3.5.1) starting up.
2016-03-06 03:55:53+0000 [-] reactor class: twisted.internet.epollreactor.EPollReactor.
2016-03-06 03:55:53+0000 [-] Site starting on 5248
2016-03-06 03:55:53+0000 [-] <class 'provisioningserver.pserv_services.lease_socket_service.LeaseSocketService'> starting on '/var/lib/maas/dhcpd.sock'
2016-03-06 03:55:53+0000 [-] Traceback (most recent call last):
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/twisted/internet/unix.py", line 402, in _bindSocket
2016-03-06 03:55:53+0000 [-] skt.bind(self.port)
2016-03-06 03:55:53+0000 [-] OSError: [Errno 98] Address already in use
2016-03-06 03:55:53+0000 [-]
2016-03-06 03:55:53+0000 [-] During handling of the above exception, another exception occurred:
2016-03-06 03:55:53+0000 [-]
2016-03-06 03:55:53+0000 [-] Traceback (most recent call last):
2016-03-06 03:55:53+0000 [-] File "/usr/bin/twistd3", line 18, in <module>
2016-03-06 03:55:53+0000 [-] run()
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/twisted/scripts/twistd.py", line 29, in run
2016-03-06 03:55:53+0000 [-] app.run(runApp, ServerOptions)
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/twisted/application/app.py", line 617, in run
2016-03-06 03:55:53+0000 [-] runApp(config)
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/twisted/scripts/twistd.py", line 25, in runApp
2016-03-06 03:55:53+0000 [-] _SomeApplicationRunner(config).run()
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/twisted/application/app.py", line 352, in run
2016-03-06 03:55:53+0000 [-] self.postApplication()
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/twisted/scripts/_twistd_unix.py", line 207, in postApplication
2016-03-06 03:55:53+0000 [-] self.startApplication(self.application)
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/twisted/scripts/_twistd_unix.py", line 403, in startApplication
2016-03-06 03:55:53+0000 [-] app.startApplication(application, not self.config['no_save'])
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/twisted/application/app.py", line 633, in startApplication
2016-03-06 03:55:53+0000 [-] service.IService(application).startService()
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/twisted/application/service.py", line 283, in startService
2016-03-06 03:55:53+0000 [-] service.startService()
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/twisted/application/service.py", line 283, in startService
2016-03-06 03:55:53+0000 [-] service.startService()
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/provisioningserver/pserv_services/lease_socket_service.py", line 54, in startService
2016-03-06 03:55:53+0000 [-] self.port = self.reactor.listenUNIXDatagram(self.address, self)
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/twisted/internet/posixbase.py", line 414, in listenUNIXDatagram
2016-03-06 03:55:53+0000 [-] p.startListening()
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/twisted/internet/udp.py", line 177, in startListening
2016-03-06 03:55:53+0000 [-] self._bindSocket()
2016-03-06 03:55:53+0000 [-] File "/usr/lib/python3/dist-packages/twisted/internet/unix.py", line 404, in _bindSocket
2016-03-06 03:55:53+0000 [-] raise error.CannotListenError(None, self.port, le)
2016-03-06 03:55:53+0000 [-] twisted.internet.error.CannotListenError: Couldn't listen on any:/var/lib/maas/dhcpd.sock: [Errno 98] Address already in use.
2016-03-06 03:55:53+0000 [-] Unhandled Error
 Traceback (most recent call last):
 --- <exception caught here> ---
   File "/usr/lib/python3/dist-packages/provisioningserver/rpc/clusterservice.py", line 735, in update
     info = yield self._fetch_rpc_info(info_url)
 builtins.GeneratorExit:

Related branches

Changed in maas:
milestone: none → 2.0.0
importance: Undecided → Critical

Note this error disappeared after a reboot, so it may be hard to reproduce.

Mark

Changed in maas:
status: New → In Progress
assignee: nobody → Blake Rouse (blake-rouse)
Changed in maas:
status: In Progress → Fix Committed
Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers